$(function () {
    $('body').bind("contextmenu", function () {
        return false;
    });
    var div = $("div");     //获得所有div的集合
    var div_id = "";

    //以下为IE专用 尼玛 蛋疼。。
    //    $.get("xml.xml", function (data) {
    //        var s = "";
    //        var icon_file = "";

    //        var xml;
    //        if ($.browser.msie) {
    //            xml = new ActiveXObject("Microsoft.XMLDOM");
    //            xml.async = false;
    //            xml.loadXML(data);
    //        } else {
    //            xml = data;
    //        }


    //        $(xml).find('BIZ_MOODULE').each(function (i) {

    //            var bizID = $(this).attr("SID");
    //            // alert(bizID);
    //            if (bizID == "D") {
    //                var chailderSId = $(this).children("MODULES").children("MODULE").attr("SID");

    //                $(this).children("MODULES").children("MODULE").each(function (i) {
    //                    var id = $(this).attr('SID');
    //                    //alert(1);
    //                    s = $(this).attr("TITLE");
    //                    icon_file = $(this).attr("ICON_FILE");
    //                    $('#' + id + ' span').html(s);
    //                    $('#' + id + ' img').attr("src", icon_file);
    //                });
    //            }
    //        });
    var xml;
    $.ajax({
        url: "xml.xml",
        dataType: 'xml',
        type: 'GET',
        timeout: 2000,
        error: function (xmldata) {
            if ("ActiveXObject" in window) {/// <reference path="" />
                //alert(window.DOMParser);
                //alert(1);
                var xmlhttp = new window.XMLHttpRequest();
                xmlhttp.open("GET", "xml.xml", false);
                xmlhttp.send(null);

                xml = xmlhttp.responseXML;
            }
            else {
                //                var xmlhttp = new window.XMLHttpRequest();
                //                xmlhttp.open("POST", "xml.xml", false);
                //                xmlhttp.send(null);
                xml = xmlhttp.responseXML;
                xml = new activexobject("microsoft.xmldom");
                xml.async = false;
                xml.loadxml("xml.xml");
            }
            $(xml).find("BIZ_MOODULE").each(function (i) {
                var bizID = $(this).attr("SID");
                if (bizID == "D") {
                    var chailderSId = $(this).children("MODULES").children("MODULE").attr("SID");
                    $(this).children("MODULES").children("MODULE").each(function (i) {
                        var id = $(this).attr('SID');
                        s = $(this).attr("TITLE");
                        icon_file = $(this).attr("ICON_FILE");
                        $('#' + id + ' span').html(s);
                        $('#' + id + ' img').attr("src", icon_file);
                    });
                }
            })

            alert("加载XML 文件出错！");
        },
        success: function (xmldata) {
            $(xmldata).find("BIZ_MOODULE").each(function (i) {
                var bizID = $(this).attr("SID");

                if (bizID == "C") {
                    var chailderSId = $(this).children("MODULES").children("MODULE").attr("SID");
                    $(this).children("MODULES").children("MODULE").each(function (i) {
                        var id = $(this).attr('SID');
                        s = $(this).attr("TITLE");
                        icon_file = $(this).attr("ICON_FILE");
                        $('#' + id + ' span').html(s);
                        $('#' + id + ' img').attr("src", icon_file);
                    });
                }
            })
        }
    });

});